%define realname extractor

%define major 3
%define common_major 1
%define libname %mklibname %{realname} %{major}
%define libcommon %mklibname extractor_common %{common_major}
%define libnamedev %mklibname %{realname} -d

Summary:	Libextractor library used to extract meta-data from files
Name:		libextractor
Version:	1.3
Release:	%mkrel 7
License:	BSD
Group:		System/Libraries
URL:		http://www.gnunet.org/libextractor/
Source0:	http://ftpmirror.gnu.org/libextractor/%{name}-%{version}.tar.gz
Patch0:         libextractor-1.3_exiv2_026.patch
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	libltdl-devel
BuildRequires:	libvorbis-devel
BuildRequires:	libmpeg2dec-devel
BuildRequires:	libflac-devel
BuildRequires:	libgsf-devel
BuildRequires:	libexiv-devel
BuildRequires:	librpm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libtiff-devel
BuildRequires:	libarchive-devel
BuildRequires:	libmagic-devel
BuildRequires:	tidy-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+3-devel
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(gstreamer-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-pbutils-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-tag-1.0) >= 0.11.93
BuildRequires:	pkgconfig(gstreamer-app-1.0) >= 0.11.93

%description
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	extract
Summary:	Show meta-data from files of arbitrary type
Group:		File tools
Conflicts:	%{_lib}extractor1 < 0.5.19a-2
Obsoletes:	libextractor < 0.6.2-6
Provides:	libextractor = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n extract
libextractor is a library used to extract meta-data from files of arbitrary
type.

This package provides the command-line extrcation tool.

%package	common
Summary:	Common files for libextractor
Group:		System/Libraries
Conflicts:	libextractor < 0.6.2-6

%description	common
This package provides common files needed by the libextractor library.

%package -n	%{libname}
Summary:	Libextractor library used to extract meta-data from files 
Group:		System/Libraries
Conflicts:	%{mklibname -d extractor 1} < 0.5.19a-2
Requires:	%{name}-common >= %{version}-%{release}

%description -n	%{libname}
libextractor is a library used to extract meta-data from files of arbitrary 
type. It is designed to use helper-libraries to perform the actual extraction, 
and to be trivially extendable by linking against external extractors for 
additional file types. The goal is to provide developers of file-sharing 
networks or WWW-indexing bots with a universal library to obtain simple 
keywords to match against queries. libextractor contains a shell-command 
"extract" that, similar to the well-known "file" command, can extract meta-data
from a file and print the results to stdout. Currently, it supports the formats
HTML, PDF, PS, MP3, OGG, JPEG, GIF, PNG, RPM, ZIP, Real, QT and ASF. Also, 
various additional MIME types are detected.

%package -n	%{libcommon}
Summary:        Libextractor library for common functions
Group:          System/Libraries

%description -n	%{libcommon}
Common function library of libextractor.

%package -n	%{libnamedev}
Summary:	Libextractor library headers and development libraries
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libcommon} = %{version}-%{release}
Provides:	libextractor-devel = %{version}-%{release}
Provides:	extractor-devel = %{version}-%{release}
Obsoletes:	%mklibname -d extractor 1
Conflicts:	libextractor < 0.6.2-6

%description -n	%{libnamedev}
Development files and headers for libextractor.

%prep
%setup -q 
%autopatch -p1

%build
%configure2_5x --disable-static \
	--disable-rpath \
	--enable-exiv2 \
	--disable-ffmpeg \
	--with-plugindirname=%{name}%{major}

%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' | xargs rm

%find_lang %{name}

%post common
%_install_info libextractor

%preun common
%_remove_install_info libextractor

%files -n extract
%{_bindir}/extract
%{_mandir}/man1/extract.*

%files common -f %{name}.lang
%{_infodir}/libextractor.info.*

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}
%{_libdir}/%{name}%{major}

%files -n %{libcommon}
%{_libdir}/%{name}_common.so.%{common_major}{,.*}

%files -n %{libnamedev}
%{_libdir}/%{name}.so
%{_libdir}/%{name}_common.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/libextractor.*


%changelog
* Wed Jun 21 2017 neoclust <neoclust> 1.3-7.mga6
+ Revision: 1108036
- Rebuild against new exiv2

* Mon Feb 15 2016 umeabot <umeabot> 1.3-6.mga6
+ Revision: 960961
- Mageia 6 Mass Rebuild

* Sun Sep 06 2015 tv <tv> 1.3-5.mga6
+ Revision: 873304
- rebuild with new rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.3-4.mga6
+ Revision: 739284
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3-3.mga5
+ Revision: 726707
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3-2.mga5
+ Revision: 681450
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 dams <dams> 1.3-1.mga5
+ Revision: 589077
- new version 1.3

* Sat Oct 19 2013 umeabot <umeabot> 1.1-2.mga4
+ Revision: 531295
- Mageia 4 Mass Rebuild

* Sat Aug 03 2013 fwang <fwang> 1.1-1.mga4
+ Revision: 462830
- new version 1.1

* Fri Jun 28 2013 fwang <fwang> 1.0.0-6.mga4
+ Revision: 447745
- rebuild for new libarchive

* Sat Jan 12 2013 umeabot <umeabot> 1.0.0-5.mga3
+ Revision: 357078
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.0.0-4.mga3
+ Revision: 332289
- rebuild for new rpm

* Wed Sep 26 2012 fwang <fwang> 1.0.0-3.mga3
+ Revision: 297911
- more correct br

* Wed Sep 26 2012 fwang <fwang> 1.0.0-2.mga3
+ Revision: 297907
- drop gif req
- add more br

* Wed Sep 26 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 297901
- update file list
- update file list
- new version 1.0.0

* Wed Aug 22 2012 fwang <fwang> 0.6.3-6.mga3
+ Revision: 283022
- rebuild for new poppler

* Mon Jun 18 2012 fwang <fwang> 0.6.3-5.mga3
+ Revision: 261602
- rebuild for new exiv2

* Wed Jun 13 2012 fwang <fwang> 0.6.3-4.mga3
+ Revision: 260232
- rebuild for new poppler

* Tue Jun 12 2012 fwang <fwang> 0.6.3-3.mga3
+ Revision: 259930
- rebuild for updated rpm

* Sun Jun 10 2012 tv <tv> 0.6.3-2.mga3
+ Revision: 259369
- rebuild for new rpm-4.10.0

* Sun Jan 15 2012 fwang <fwang> 0.6.3-1.mga2
+ Revision: 196396
- new version 0.6.3

* Fri Oct 28 2011 fwang <fwang> 0.6.2-10.mga2
+ Revision: 158954
- rebuild for new poppler

* Sun Oct 09 2011 fwang <fwang> 0.6.2-9.mga2
+ Revision: 153409
- rebuild for new exiv2

* Tue Sep 27 2011 ovitters <ovitters> 0.6.2-8.mga2
+ Revision: 149406
- rebuild for new poppler

* Wed Sep 21 2011 fwang <fwang> 0.6.2-7.mga2
+ Revision: 146394
- drop .la files

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Fri May 13 2011 anssi <anssi> 0.6.2-6.mga1
+ Revision: 97789
- drop rpm5.patch to restore compatibility with rpm.org
- drop binary rpm libextractor, moving its contents as follows:
  o extract binary, its manpage, and info doc to a new package "extract"
  o development man page to devel package
  o libextractor localization to a new libextractor-common package
- remove unneeded buildrequire on glib-devel
- add a buildrequire on poppler-devel
- imported package libextractor

